Package ru.bitel.bgbilling.modules.bill.common.bean

# Class AttributeType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.AttributeType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class AttributeType extends IdTitle
Тип реквизита.
Типы реквизитов ранее не хранились в БД, а заводились в конфиге. Но теперь(с версии 6.3) они храняться в таблице bill_attribute_type_$mid
name - ключ
title - описание

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AttributeType.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttributeType.Builder`
  `builder()`
  `String`
  `getCheck()`
  `String`
  `getName()`
  `void`
  `setCheck(String check)`
  `void`
  `setName(String name)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AttributeType

    public AttributeType()

- ## Method Details

  - ### getCheck

    public String getCheck()

  - ### getName

    public String getName()

  - ### setCheck

    public void setCheck(String check)

  - ### setName

    public void setName(String name)

  - ### builder

    public static AttributeType.Builder builder()